Vinix· docs
API referenceCore APICall ControlMenus

Patch Menu

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
PATCH
/accounts/{account_id}/menus/{menu_id}

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

menu_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/accounts/string/menus/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "allow_record_from_offnet": false,
    "flags": [
      "string"
    ],
    "hunt": true,
    "hunt_allow": "string",
    "hunt_deny": "string",
    "interdigit_timeout": 1,
    "max_extension_length": 4,
    "media": {},
    "name": "string",
    "record_pin": "string",
    "retries": 3,
    "suppress_media": false,
    "timeout": 1
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}